# Generated by Django 5.1.3 on 2024-11-15 07:42

import django.core.serializers.json
import django.db.models.deletion
import utils.models
import utils.upload
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('files', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Image',
            fields=[
                ('basefile_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='files.basefile')),
                ('original', utils.models.NoPillowPictureField(aspect_ratios=[None], breakpoints={'lg': 992, 'md': 768, 'sm': 576, 'xl': 1200, 'xs': 0, 'xxl': 1400}, container_width=2000, file_types=['WEBP'], grid_columns=12, height_field='height', help_text='The original uploaded image.', max_length=255, pixel_densities=[1, 2], upload_to=utils.upload.get_upload_path, width_field='width')),
                ('width', models.PositiveIntegerField(help_text='The width of the image (in pixels).')),
                ('height', models.PositiveIntegerField(help_text='The height of the image (in pixels).')),
                ('exif', models.JSONField(blank=True, encoder=django.core.serializers.json.DjangoJSONEncoder, help_text='EXIF data for the image in JSON format.', null=True)),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('files.basefile',),
        ),
    ]
